CVE-2006-0801
CVSS5.1
发布时间 :2006-02-20 17:02:00
修订时间 :2011-03-07 21:30:50
NMCO    

[原文]SQL injection vulnerability in the NS-Languages module for PostNuke 0.761 and earlier, when magic_quotes_gpc is off, allows remote attackers to execute arbitrary SQL commands via the language parameter to admin.php.


[CNNVD]PostNuke NS-Languages模块SQL注入漏洞(CNNVD-200602-305)

        PostNuke 0.761及之前版本的NS-Languages模块中存在SQL注入漏洞。当magic_quotes_gpc关闭时,远程攻击者可以借助指向admin.php的language参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-0801
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-0801
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200602-305
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16752
(PATCH)  BID  16752
http://secunia.com/advisories/18937
(VENDOR_ADVISORY)  SECUNIA  18937
http://xforce.iss.net/xforce/xfdb/24827
(UNKNOWN)  XF  postnuke-nslanguages-sql-injection(24827)
http://www.vupen.com/english/advisories/2006/0673
(UNKNOWN)  VUPEN  ADV-2006-0673
http://securityreason.com/securityalert/454
(UNKNOWN)  SREASON  454
http://securityreason.com/securityalert/454
(VENDOR_ADVISORY)  SREASON  454
http://news.postnuke.com/index.php?name=News&file=article&sid=2754
(UNKNOWN)  CONFIRM  http://news.postnuke.com/index.php?name=News&file=article&sid=2754
http://archives.neohapsis.com/archives/fulldisclosure/2006-02/0469.html
(UNKNOWN)  FULLDISC  20060219 Multiple vulnerabilities in PostNuke <= 0.761

- 漏洞信息

PostNuke NS-Languages模块SQL注入漏洞
中危 SQL注入
2006-02-20 00:00:00 2006-04-07 00:00:00
远程  
        PostNuke 0.761及之前版本的NS-Languages模块中存在SQL注入漏洞。当magic_quotes_gpc关闭时,远程攻击者可以借助指向admin.php的language参数执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        PostNuke Development Team PostNuke 0.62
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.63
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.64
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.7
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.70
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.703
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.71
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.72
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.721
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.726 -3
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.73
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.74
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.75
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.75 -RC3
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.76 RC4
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.76 RC4b
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        PostNuke Development Team PostNuke 0.76 RC4a
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        Cisco Aironet 340 BR340 Firmware 0.761 a
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html
        Cisco Aironet 340 BR340 Firmware 0.761
        PostNuke Development Team PostNuke 0.762.tar.gz
        http://news.postnuke.com/Downloads-req-getit-lid-517.html

- 漏洞信息

23435
PostNuke NS-Languages Module language Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-02-19 Unknow
Unknow Unknow

- 解决方案

Upgrade to version .762 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站